/etc/ssh/sshd_config not upgraded properly (dapper -> hardy)

Bug #211400 reported by Martin Pitt on 2008-04-03
2
Affects Status Importance Assigned to Milestone
openssh (Ubuntu)
Undecided
Colin Watson

Bug Description

--- fresh-hardy-install/etc/ssh/sshd_config 2008-01-28 15:48:47.000000000 +0100
+++ dapper-hardy-upgrade/etc/ssh/sshd_config 2007-11-20 10:17:58.000000000 +0100
@@ -63,7 +63,7 @@
 X11DisplayOffset 10
 PrintMotd no
 PrintLastLog yes
-TCPKeepAlive yes
+KeepAlive yes
 #UseLogin no

 #MaxStartups 10:30:60

I think this is quite crucial, depending on whether sshd still understands the old option name. But transitioning it properly is probably a good idea anyway.

Martin Pitt (pitti) on 2008-04-03
Changed in openssh:
assignee: nobody → kamion
milestone: none → ubuntu-8.04
Colin Watson (cjwatson) wrote :

sshd still understands the old option name, FYI.

Martin Pitt (pitti) wrote :

Ah, thanks for clarifying. Removing milestone then.

Changed in openssh:
milestone: ubuntu-8.04 → none
Colin Watson (cjwatson) on 2008-04-04
Changed in openssh:
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package openssh - 1:4.7p1-8ubuntu1

---------------
openssh (1:4.7p1-8ubuntu1) hardy; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add support for registering ConsoleKit sessions on login.

openssh (1:4.7p1-8) unstable; urgency=high

  * Fill in CVE identifier for security vulnerability fixed in 1:4.7p1-5.
  * Rename KeepAlive to TCPKeepAlive in sshd_config, cleaning up from old
    configurations (LP: #211400).
  * Tweak scp's reporting of filenames in verbose mode to be a bit less
    confusing with spaces (thanks, Nicolas Valcárcel; LP: #89945).
  * Backport from 4.9p1:
    - Ignore ~/.ssh/rc if a sshd_config ForceCommand is specified (see
      http://www.securityfocus.com/bid/28531/info).
    - Add no-user-rc authorized_keys option to disable execution of
      ~/.ssh/rc.
  * Backport from Simon Wilkinson's GSSAPI key exchange patch for 5.0p1:
    - Add code to actually implement GSSAPIStrictAcceptorCheck, which had
      somehow been omitted from a previous version of this patch (closes:
      #474246).

 -- Colin Watson <email address hidden> Sun, 06 Apr 2008 12:44:11 +0100

Changed in openssh:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers